ClientHealthStatus (Apache Geode 1.15.4)

org.apache.geode.management

## Class ClientHealthStatus

- java.lang.Object
- - org.apache.geode.management.ClientHealthStatus

-     public class ClientHealthStatus
      extends Object

  Composite data type used to distribute statistics which can be used to determine the health of a cache client.
  Since:
    GemFire 7.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientHealthStatus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getClientCQCount()`
    `String` | `getClientId()` Returns the ID of the client.
    `int` | `getCpus()` Returns the number of CPUs available to the client.
    `String` | `getHostName()` Returns the name of the host on which the client is running.
    `String` | `getName()` Returns the name of the client.
    `int` | `getNumOfCacheListenerCalls()` Returns the number of times a cache listener call has completed.
    `int` | `getNumOfGets()` Returns the number of times a successful get operation has occurred.
    `int` | `getNumOfMisses()` Returns the number of times a cache miss has occurred.
    `int` | `getNumOfPuts()` Returns the number of times an entry was added or replaced in this cache as a result of a local operation.
    `int` | `getNumOfThreads()` Returns the number of threads currently in use.
    `Map<String,String>` | `getPoolStats()`
    `long` | `getProcessCpuTime()` Returns the amount of time (in nanoseconds) used by the client process.
    `int` | `getQueueSize()` Returns the client queue size.
    `boolean` | `getSubscriptionEnabled()`
    `long` | `getUpTime()` Returns the amount of time (in seconds) that the client has been running.
    `boolean` | `isConnected()`
    `void` | `setClientCQCount(int clientCQCount)`
    `void` | `setClientId(String clientId)` Sets the ID of the client.
    `void` | `setConnected(boolean connected)`
    `void` | `setCpus(int cpus)` Sets the number of CPUs available to the client.
    `void` | `setHostName(String hostName)` Sets the name of the host on which the client is running.
    `void` | `setName(String name)` Sets the name of the client.
    `void` | `setNumOfCacheListenerCalls(int numOfCacheListenerCalls)` Sets the number of times a cache listener call has completed.
    `void` | `setNumOfGets(int numOfGets)` Sets the number of times a successful get operation has occurred.
    `void` | `setNumOfMisses(int numOfMisses)` Sets the number of times a cache miss has occurred.
    `void` | `setNumOfPuts(int numOfPuts)` Set the number of times an entry was added or replaced in this cache as a result of a local operation.
    `void` | `setNumOfThreads(int numOfThreads)` Sets the number of threads currently in use.
    `void` | `setPoolStats(Map<String,String> map)`
    `void` | `setProcessCpuTime(long processCpuTime)` Sets the amount of time (in nanoseconds) used by the client process.
    `void` | `setQueueSize(int queueSize)` Sets the client queue size.
    `void` | `setSubscriptionEnabled(boolean subscriptionEnabled)`
    `void` | `setUpTime(long upTime)` Sets the amount of time (in seconds) that the client has been running.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientHealthStatus

          public ClientHealthStatus()

  - ### Method Detail

    - #### getNumOfGets

          public int getNumOfGets()

      Returns the number of times a successful get operation has occurred.
      Returns:
        the number of times a successful get operation has occurred

    - #### getNumOfPuts

          public int getNumOfPuts()

      Returns the number of times an entry was added or replaced in this cache as a result of a local operation. Operations counted include puts, creates, and gets which result in loading, net searching, or net loading a value. The count only includes operations done explicitly on this cache, not those that are pushed from other caches.
      Returns:
        the number of times an entry was added or replaced in this cache as a result of a local operation

    - #### getNumOfMisses

          public int getNumOfMisses()

      Returns the number of times a cache miss has occurred.
      Returns:
        the number of times a cache miss has occurred

    - #### getNumOfCacheListenerCalls

          public int getNumOfCacheListenerCalls()

      Returns the number of times a cache listener call has completed.
      Returns:
        the number of times a cache listener call has completed

    - #### getNumOfThreads

          public int getNumOfThreads()

      Returns the number of threads currently in use.
      Returns:
        the number of threads currently in use

    - #### getProcessCpuTime

          public long getProcessCpuTime()

      Returns the amount of time (in nanoseconds) used by the client process.
      Returns:
        the amount of time (in nanoseconds) used by the client process

    - #### getCpus

          public int getCpus()

      Returns the number of CPUs available to the client.
      Returns:
        the number of CPUs available to the client

    - #### getUpTime

          public long getUpTime()

      Returns the amount of time (in seconds) that the client has been running.
      Returns:
        the amount of time (in seconds) that the client has been running

    - #### getClientId

          public String getClientId()

      Returns the ID of the client.
      Returns:
        the ID of the client

    - #### setNumOfGets

          public void setNumOfGets(int numOfGets)

      Sets the number of times a successful get operation has occurred.
      Parameters:
        `numOfGets` - the number of times a successful get operation has occurred

    - #### setNumOfPuts

          public void setNumOfPuts(int numOfPuts)

      Set the number of times an entry was added or replaced in this cache as a result of a local operation.
      Parameters:
        `numOfPuts` - the number of times an entry was added or replaced in this cache as a result of a local operation

    - #### setNumOfMisses

          public void setNumOfMisses(int numOfMisses)

      Sets the number of times a cache miss has occurred.
      Parameters:
        `numOfMisses` - the number of times a cache miss has occurred

    - #### setNumOfCacheListenerCalls

          public void setNumOfCacheListenerCalls(int numOfCacheListenerCalls)

      Sets the number of times a cache listener call has completed.
      Parameters:
        `numOfCacheListenerCalls` - the number of times a cache listener call has completed

    - #### setNumOfThreads

          public void setNumOfThreads(int numOfThreads)

      Sets the number of threads currently in use.
      Parameters:
        `numOfThreads` - the number of threads currently in use

    - #### setProcessCpuTime

          public void setProcessCpuTime(long processCpuTime)

      Sets the amount of time (in nanoseconds) used by the client process.
      Parameters:
        `processCpuTime` - the amount of time (in nanoseconds) used by the client process

    - #### setCpus

          public void setCpus(int cpus)

      Sets the number of CPUs available to the client.
      Parameters:
        `cpus` - the number of CPUs available to the client

    - #### setUpTime

          public void setUpTime(long upTime)

      Sets the amount of time (in seconds) that the client has been running.
      Parameters:
        `upTime` - the amount of time (in seconds) that the client has been running

    - #### setQueueSize

          public void setQueueSize(int queueSize)

      Sets the client queue size.
      Parameters:
        `queueSize` - the client queue size

    - #### setClientId

          public void setClientId(String clientId)

      Sets the ID of the client.
      Parameters:
        `clientId` - the ID of the client

    - #### getQueueSize

          public int getQueueSize()

      Returns the client queue size.
      Returns:
        the client queue size

    - #### getName

          public String getName()

      Returns the name of the client.
      Returns:
        the name of the client

    - #### getHostName

          public String getHostName()

      Returns the name of the host on which the client is running.
      Returns:
        the name of the host on which the client is running

    - #### setName

          public void setName(String name)

      Sets the name of the client.
      Parameters:
        `name` - the name of the client

    - #### setHostName

          public void setHostName(String hostName)

      Sets the name of the host on which the client is running.
      Parameters:
        `hostName` - the name of the host on which the client is running

    - #### getPoolStats

          public Map<String,String> getPoolStats()

    - #### setPoolStats

          public void setPoolStats(Map<String,String> map)

    - #### isConnected

          public boolean isConnected()

    - #### setConnected

          public void setConnected(boolean connected)

    - #### getSubscriptionEnabled

          public boolean getSubscriptionEnabled()

    - #### getClientCQCount

          public int getClientCQCount()

    - #### setSubscriptionEnabled

          public void setSubscriptionEnabled(boolean subscriptionEnabled)

    - #### setClientCQCount

          public void setClientCQCount(int clientCQCount)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`